<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from specfun_factorial.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="specfun_factorial" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>specfun_factorial</refname><refpurpose>The factorial function</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   f = specfun_factorial ( n )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>n :</term>
      <listitem><para> a matrix of floating point integers, must be positive</para></listitem></varlistentry>
   <varlistentry><term>f :</term>
      <listitem><para> a matrix of floating point integers</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns the factorial of n, that is, the product of all
integers 1 * 2 * ... * n.
   </para>
   <para>
This function overflows as soon as n>170.
   </para>
   <para>
Our tests indicate that this function is exact for n
lower or equal to 16.
For n>16, the relative error can be as large as 200*%eps.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Make a table of factorial
n = (0:30)';
[n specfun_factorial(n)]

// See that we must round the gamma function
n = 12;
specfun_factorial(n)
gamma(n+1)

// See the limits of factorial: f(171)=%inf
specfun_factorial(170) // 7.257415615307998967e306
specfun_factorial(171) // %inf

// Plot the function on all its range.
scf();
plot ( 1:170 , specfun_factorial , "b-o" )
h = gcf();
h.children.log_flags="nln";

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin - 2010</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"Introduction to discrete probabilities", Michael Baudin, 2010</para>
</refsection>
</refentry>
